//------------------------------------------------------------------------------
#include "Unit1.h"
#include "Unit2.h"
//------------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

TPaoService *PaoService;
TPaoServForm *PaoSvcForm;
bool gbCanClose=false;

//------------------------------------------------------------------------------
__fastcall TPaoService::TPaoService(TComponent* Owner)
	: TService(Owner)
{
}
//------------------------------------------------------------------------------
TServiceController __fastcall TPaoService::GetServiceController(void)
{
	return (TServiceController) ServiceController;
}
//------------------------------------------------------------------------------
void __stdcall ServiceController(unsigned CtrlCode)
{
	PaoService->Controller(CtrlCode);
}
//------------------------------------------------------------------------------
void __fastcall TPaoService::ServiceExecute(TService *Sender)
{
   while(!Terminated)
   {
      Sleep(10);
      ServiceThread->ProcessRequests(false);
   }
}
//------------------------------------------------------------------------------
void __fastcall TPaoService::ServiceStart(TService *Sender, bool &Started)
{
   Started=true;
   PaoSvcForm=new TPaoServForm(Svcmgr::Application);
   gbCanClose=false;
   PaoSvcForm->Hide();
}
//------------------------------------------------------------------------------
void __fastcall TPaoService::ServiceStop(TService *Sender, bool &Stopped)
{
   Stopped=true;
   gbCanClose=true;
   delete PaoSvcForm;
}
//------------------------------------------------------------------------------
void __fastcall TPaoService::ServicePause(TService *Sender, bool &Paused)
{
   Paused=true;
}
//------------------------------------------------------------------------------
void __fastcall TPaoService::ServiceContinue(TService *Sender,
      bool &Continued)
{
   Continued=true;
}
//------------------------------------------------------------------------------
void __fastcall TPaoService::ServiceShutdown(TService *Sender)
{
   gbCanClose=true;
   delete PaoSvcForm;
   Status=csStopped;
   ReportStatus();
}
//------------------------------------------------------------------------------

