//------------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//------------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Classes.hpp>
#include <SvcMgr.hpp>
#include <vcl.h>
//------------------------------------------------------------------------------
class TPaoService : public TService
{
__published:    // IDE-managed Components
   void __fastcall ServiceExecute(TService *Sender);
   void __fastcall ServiceStart(TService *Sender, bool &Started);
   void __fastcall ServiceStop(TService *Sender, bool &Stopped);
   void __fastcall ServicePause(TService *Sender, bool &Paused);
   void __fastcall ServiceContinue(TService *Sender, bool &Continued);
   void __fastcall ServiceShutdown(TService *Sender);
private:        // User declarations
public:         // User declarations
	__fastcall TPaoService(TComponent* Owner);
	TServiceController __fastcall GetServiceController(void);

	friend void __stdcall ServiceController(unsigned CtrlCode);
};
//------------------------------------------------------------------------------
extern PACKAGE TPaoService *PaoService;
//------------------------------------------------------------------------------
#endif
