//------------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit2.h"

NOTIFYICONDATA IconData;
extern bool gbCanClose;

//------------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TPaoServForm *PaoServForm;
//------------------------------------------------------------------------------
__fastcall TPaoServForm::TPaoServForm(TComponent* Owner)
   : TForm(Owner)
{
}
//------------------------------------------------------------------------------
void __fastcall TPaoServForm::AddPaoServiceIcon(void)
{
   ZeroMemory(&IconData, sizeof(NOTIFYICONDATA));
   IconData.cbSize=sizeof(NOTIFYICONDATA);
   IconData.hWnd=Handle;
   IconData.uID=0;
   IconData.uFlags=NIF_MESSAGE | NIF_ICON | NIF_TIP;
   IconData.uCallbackMessage=WM_PAOSERVICEMESSAGE;
   IconData.hIcon=this->Icon->Handle;
   strcpy(IconData.szTip, "RaynorPao's Service (Demo)");
   if(Shell_NotifyIcon(NIM_ADD, &IconData))
   {
      Timer1->Enabled=false;
   }
}
//------------------------------------------------------------------------------
void __fastcall TPaoServForm::DelPaoServiceIcon(void)
{
   Shell_NotifyIcon(NIM_DELETE, &IconData);
}
//------------------------------------------------------------------------------
MESSAGE void __fastcall TPaoServForm::PaoServiceMessage(TMessage &Msg)
{
   if(Msg.LParam==WM_LBUTTONDBLCLK)
   {
      Show();
   }
}
//------------------------------------------------------------------------------
MESSAGE void __fastcall TPaoServForm::PaoQueryEndSession(TMessage &Msg)
{
   Msg.Result=1;
   gbCanClose=true;
   Close();
}
//------------------------------------------------------------------------------
void __fastcall TPaoServForm::btnOKClick(TObject *Sender)
{
   Close();
}
//------------------------------------------------------------------------------
void __fastcall TPaoServForm::FormCloseQuery(TObject *Sender,
      bool &CanClose)
{
   CanClose=gbCanClose;
   if(!CanClose)
   {
      Hide();
   }
}
//------------------------------------------------------------------------------
void __fastcall TPaoServForm::Timer1Timer(TObject *Sender)
{
   AddPaoServiceIcon();
}
//------------------------------------------------------------------------------
void __fastcall TPaoServForm::FormCreate(TObject *Sender)
{
   Timer1->Enabled=true;
   Timer1->Interval=1000;
}
//------------------------------------------------------------------------------
void __fastcall TPaoServForm::FormDestroy(TObject *Sender)
{
   Timer1->Enabled=false;
   DelPaoServiceIcon();
}
//------------------------------------------------------------------------------

